package com.yifu.cloud.plus.v1.yifu.insurances.service.insurance;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.yifu.insurances.entity.TInsuranceAlert;
import com.yifu.cloud.plus.v1.yifu.insurances.vo.TInsuranceAlertSearchVo;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @author huych
 * @description 针对表【t_insurance_alert(商险到期提醒表)】的数据库操作Service
 * @date 2024-08-26 14:20:16
 */
public interface TInsuranceWarnService extends IService<TInsuranceAlert> {

	IPage<TInsuranceAlert> getTInsuranceAlertPage(Page<TInsuranceAlert> page, TInsuranceAlertSearchVo tInsuranceAlert);

	List<TInsuranceAlert> getTInsuranceAlertList2000(TInsuranceAlertSearchVo tInsuranceAlert);

	long getInsuranceAlertCount(TInsuranceAlertSearchVo tInsuranceAlert);

	// 商险待续保导出
	void exportTInsuranceAlert(TInsuranceAlertSearchVo searchVo, HttpServletResponse response);

	void createInsuranceAlert();

	void pushInsuranceAlertToWx();

}
